RIO_HW_GET_INB_ME(9)

NAME
rio_hw_get_inb_message - Fetch inbound message from the MPC85xx message unit

SYNOPSIS

void * rio_hw_get_inb_message (struct rio_mport * mport, int mbox);

ARGUMENTS

mport
    Master port implementing the inbound message unit

mbox
    Inbound mailbox number

DESCRIPTION

Gets the next available inbound message from the inbound message queue. A pointer to the message is returned on success or NULL on failure.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.